<?xml version="1.0" encoding="utf-8"?>
<TextureAtlas imagePath="huggy2_vents.png">
	<!-- Created with Adobe Animate version 22.0.2.168 -->
	<!-- http://www.adobe.com/products/animate.html -->
	<SubTexture name="huggy down0000" x="0" y="0" width="486" height="626" frameX="0" frameY="-7" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0001" x="0" y="0" width="486" height="626" frameX="0" frameY="-7" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0002" x="486" y="0" width="486" height="625" frameX="0" frameY="-8" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0003" x="486" y="0" width="486" height="625" frameX="0" frameY="-8" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0004" x="972" y="0" width="486" height="626" frameX="0" frameY="-7" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0005" x="972" y="0" width="486" height="626" frameX="0" frameY="-7" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0006" x="1458" y="0" width="486" height="627" frameX="0" frameY="-6" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0007" x="1458" y="0" width="486" height="627" frameX="0" frameY="-6" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0008" x="1944" y="0" width="486" height="632" frameX="0" frameY="-2" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0009" x="1944" y="0" width="486" height="632" frameX="0" frameY="-2" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0010" x="2430" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0011" x="2430" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0012" x="2916" y="0" width="486" height="635"/>
	<SubTexture name="huggy down0013" x="2916" y="0" width="486" height="635"/>
	<SubTexture name="huggy down0014" x="3402" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0015" x="3402" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0016" x="3888" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0017" x="3888" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0018" x="4374" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0019" x="4374" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0020" x="4860" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0021" x="4860" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0022" x="5346" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0023" x="5346" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0024" x="4860" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0025" x="4860" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0026" x="5832" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0027" x="5832" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0028" x="4860" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy down0029" x="4860" y="0" width="486" height="633" frameX="0" frameY="-1" frameWidth="486" frameHeight="635"/>
	<SubTexture name="huggy idle0000" x="6318" y="0" width="487" height="660" frameX="0" frameY="-9" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0001" x="6805" y="0" width="487" height="660" frameX="0" frameY="-9" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0002" x="7292" y="0" width="487" height="660" frameX="0" frameY="-8" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0003" x="0" y="660" width="487" height="660" frameX="0" frameY="-8" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0004" x="487" y="660" width="486" height="655" frameX="-1" frameY="-13" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0005" x="973" y="660" width="486" height="655" frameX="-1" frameY="-13" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0006" x="1459" y="660" width="487" height="649" frameX="0" frameY="-19" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0007" x="1946" y="660" width="487" height="649" frameX="0" frameY="-19" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0008" x="2433" y="660" width="487" height="663" frameX="0" frameY="-6" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0009" x="2920" y="660" width="487" height="663" frameX="0" frameY="-6" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0010" x="3407" y="660" width="487" height="670"/>
	<SubTexture name="huggy idle0011" x="3407" y="660" width="487" height="670"/>
	<SubTexture name="huggy idle0012" x="3894" y="660" width="486" height="669" frameX="-1" frameY="-1" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0013" x="3894" y="660" width="486" height="669" frameX="-1" frameY="-1" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0014" x="4380" y="660" width="487" height="669" frameX="0" frameY="-1" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0015" x="4380" y="660" width="487" height="669" frameX="0" frameY="-1" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0016" x="4867" y="660" width="487" height="667" frameX="0" frameY="-3" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0017" x="5354" y="660" width="487" height="667" frameX="0" frameY="-3" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0018" x="5841" y="660" width="487" height="668" frameX="0" frameY="-2" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0019" x="5841" y="660" width="487" height="668" frameX="0" frameY="-2" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0020" x="6328" y="660" width="486" height="667" frameX="-1" frameY="-3" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0021" x="6328" y="660" width="486" height="667" frameX="-1" frameY="-3" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0022" x="6814" y="660" width="487" height="669" frameX="0" frameY="-1" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0023" x="6814" y="660" width="487" height="669" frameX="0" frameY="-1" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0024" x="7301" y="660" width="487" height="669" frameX="0" frameY="-1" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0025" x="7301" y="660" width="487" height="669" frameX="0" frameY="-1" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0026" x="0" y="1330" width="487" height="669" frameX="0" frameY="-1" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0027" x="0" y="1330" width="487" height="669" frameX="0" frameY="-1" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0028" x="487" y="1330" width="486" height="669" frameX="-1" frameY="-1" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy idle0029" x="487" y="1330" width="486" height="669" frameX="-1" frameY="-1" frameWidth="487" frameHeight="670"/>
	<SubTexture name="huggy left0000" x="973" y="1330" width="474" height="585" frameX="0" frameY="-18" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0001" x="1447" y="1330" width="474" height="585" frameX="0" frameY="-18" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0002" x="1921" y="1330" width="474" height="581" frameX="0" frameY="-22" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0003" x="2395" y="1330" width="474" height="581" frameX="0" frameY="-22" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0004" x="2869" y="1330" width="473" height="583" frameX="0" frameY="-20" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0005" x="3342" y="1330" width="473" height="583" frameX="0" frameY="-20" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0006" x="3815" y="1330" width="473" height="586" frameX="0" frameY="-17" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0007" x="4288" y="1330" width="473" height="586" frameX="0" frameY="-17" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0008" x="4761" y="1330" width="473" height="592" frameX="0" frameY="-11" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0009" x="5234" y="1330" width="473" height="592" frameX="0" frameY="-11" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0010" x="5707" y="1330" width="473" height="602" frameX="0" frameY="-1" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0011" x="6180" y="1330" width="473" height="602" frameX="0" frameY="-1" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0012" x="6653" y="1330" width="473" height="603" frameX="0" frameY="0" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0013" x="7126" y="1330" width="473" height="603" frameX="0" frameY="0" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0014" x="7599" y="1330" width="473" height="602" frameX="0" frameY="-1" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0015" x="0" y="1999" width="473" height="602" frameX="0" frameY="-1" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0016" x="473" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0017" x="946" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0018" x="1419" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0019" x="1892" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0020" x="1892" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0021" x="2365" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0022" x="2365" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0023" x="2838" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0024" x="2838" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0025" x="2838" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0026" x="2838" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0027" x="1892" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0028" x="1892" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy left0029" x="2838" y="1999" width="473" height="600" frameX="0" frameY="-3" frameWidth="474" frameHeight="603"/>
	<SubTexture name="huggy right0000" x="3311" y="1999" width="617" height="686" frameX="-19" frameY="-4" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0001" x="3311" y="1999" width="617" height="686" frameX="-19" frameY="-4" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0002" x="3928" y="1999" width="636" height="690" frameX="0" frameY="0" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0003" x="3928" y="1999" width="636" height="690" frameX="0" frameY="0" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0004" x="4564" y="1999" width="633" height="688" frameX="-3" frameY="-2" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0005" x="5197" y="1999" width="633" height="688" frameX="-3" frameY="-2" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0006" x="5830" y="1999" width="630" height="686" frameX="-6" frameY="-4" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0007" x="5830" y="1999" width="630" height="686" frameX="-6" frameY="-4" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0008" x="6460" y="1999" width="597" height="674" frameX="-40" frameY="-16" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0009" x="6460" y="1999" width="597" height="674" frameX="-40" frameY="-16" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0010" x="7057" y="1999" width="576" height="666" frameX="-61" frameY="-24" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0011" x="7057" y="1999" width="576" height="666" frameX="-61" frameY="-24" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0012" x="0" y="2689" width="574" height="665" frameX="-63" frameY="-25" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0013" x="0" y="2689" width="574" height="665" frameX="-63" frameY="-25" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0014" x="574" y="2689" width="576" height="666" frameX="-61" frameY="-24" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0015" x="574" y="2689" width="576" height="666" frameX="-61" frameY="-24" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0016" x="1150" y="2689" width="578" height="668" frameX="-59" frameY="-22" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0017" x="1150" y="2689" width="578" height="668" frameX="-59" frameY="-22" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0018" x="1728" y="2689" width="579" height="669" frameX="-58" frameY="-21" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0019" x="1728" y="2689" width="579" height="669" frameX="-58" frameY="-21" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0020" x="2307" y="2689" width="579" height="669" frameX="-58" frameY="-21" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0021" x="2307" y="2689" width="579" height="669" frameX="-58" frameY="-21" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0022" x="2886" y="2689" width="579" height="669" frameX="-58" frameY="-21" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0023" x="2886" y="2689" width="579" height="669" frameX="-58" frameY="-21" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0024" x="3465" y="2689" width="579" height="669" frameX="-58" frameY="-21" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0025" x="3465" y="2689" width="579" height="669" frameX="-58" frameY="-21" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0026" x="4044" y="2689" width="579" height="669" frameX="-58" frameY="-21" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0027" x="4044" y="2689" width="579" height="669" frameX="-58" frameY="-21" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0028" x="4623" y="2689" width="579" height="669" frameX="-58" frameY="-21" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy right0029" x="4623" y="2689" width="579" height="669" frameX="-58" frameY="-21" frameWidth="637" frameHeight="690"/>
	<SubTexture name="huggy up0000" x="5202" y="2689" width="492" height="675" frameX="-6" frameY="-21" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0001" x="5202" y="2689" width="492" height="675" frameX="-6" frameY="-21" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0002" x="5694" y="2689" width="494" height="691" frameX="-5" frameY="-5" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0003" x="5694" y="2689" width="494" height="691" frameX="-5" frameY="-5" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0004" x="6188" y="2689" width="496" height="696" frameX="-3" frameY="0" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0005" x="6188" y="2689" width="496" height="696" frameX="-3" frameY="0" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0006" x="6684" y="2689" width="499" height="693" frameX="0" frameY="-3" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0007" x="6684" y="2689" width="499" height="693" frameX="0" frameY="-3" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0008" x="7183" y="2689" width="492" height="675" frameX="-6" frameY="-21" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0009" x="7675" y="2689" width="492" height="675" frameX="-6" frameY="-21" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0010" x="0" y="3385" width="486" height="657" frameX="-6" frameY="-39" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0011" x="486" y="3385" width="486" height="658" frameX="-6" frameY="-39" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0012" x="972" y="3385" width="486" height="662" frameX="-6" frameY="-35" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0013" x="1458" y="3385" width="486" height="662" frameX="-6" frameY="-35" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0014" x="1944" y="3385" width="485" height="665" frameX="-6" frameY="-32" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0015" x="1944" y="3385" width="485" height="665" frameX="-6" frameY="-32" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0016" x="2429" y="3385" width="486" height="668" frameX="-6" frameY="-29" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0017" x="2429" y="3385" width="486" height="668" frameX="-6" frameY="-29" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0018" x="2915" y="3385" width="486" height="667" frameX="-6" frameY="-30" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0019" x="2915" y="3385" width="486" height="667" frameX="-6" frameY="-30" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0020" x="3401" y="3385" width="486" height="667" frameX="-6" frameY="-30" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0021" x="3401" y="3385" width="486" height="667" frameX="-6" frameY="-30" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0022" x="3887" y="3385" width="486" height="667" frameX="-6" frameY="-30" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0023" x="3887" y="3385" width="486" height="667" frameX="-6" frameY="-30" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0024" x="4373" y="3385" width="486" height="667" frameX="-6" frameY="-30" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0025" x="4373" y="3385" width="486" height="667" frameX="-6" frameY="-30" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0026" x="4859" y="3385" width="486" height="667" frameX="-6" frameY="-30" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0027" x="4859" y="3385" width="486" height="667" frameX="-6" frameY="-30" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0028" x="4373" y="3385" width="486" height="667" frameX="-6" frameY="-30" frameWidth="499" frameHeight="697"/>
	<SubTexture name="huggy up0029" x="4373" y="3385" width="486" height="667" frameX="-6" frameY="-30" frameWidth="499" frameHeight="697"/>
</TextureAtlas>
